export default odaView({
    props: {
        allowUse(){
            return this.$item.journalLevel === 1;
        }
    }
})
ODANT({
    imports: '@oda/table',
    is: 'balance',
    template:`
        <oda-table class="flex" show-header show-footer row-lines col-lines :columns :data-set></oda-table>
    `,
    props:{
        columns:[
            {name: 'id', fix: 'left', treeMode: true},
            {name: 'account', fix: 'left'},
            {name: 'begin', $expanded: true, items: [{name: 'db', items: [{name: 'db1'}, {name: 'db2'}]}, {name: 'kb'}]},
            {name: 'period', $expanded: true, items: [{name: 'dp'}, {name: 'kp'}]},
            {name: 'end', $expanded: true, items: [{name: 'de'}, {name: 'ke'}]}
        ],
        dataSet:[
            {id: '100', account: 'Первый счет', begin:1000, db:100, kb: 200, db2:'db2 content', $expanded: true, items:[{id: '100.01', account: 'Первый субсчет'},{id: '100.02', account: 'Второй субсчет'}]},
            {id: '200', account: 'Второй счет'}]
    }
})