export default odaPage({
    props: {
        label: 'Support',
        icon: 'icons:language'
    }
})
ODANT({
    imports: '@lib/structure-tree',
    is: 'support',
    extends: 'odant-structure-tree',
    props: {
        allowDrag: true,
        allowFocus: true,
        allowSearch: true,
        hideItemNode: true,
        expandKeysMap: {
            type: Object,
            get() {
                return { label: this.contextItem.$host.label };
            }
        },
        itemsList: '_$$support'
    },
    async  _checkChildren(node) {
        return ['part', 'group'].includes(node?.$item?.typeName);
    },
    async _search(e) {
        const value = e.detail.value;
    }
})