export const _srcIframe = { src: 'video', _rootPath: '/white-book' }
//export const _srcIframe = { src: 'https://odant.org/', _rootPath: '/white-book' }
export default {
    folder: [
        {
            name: "learn",
            label: "Документация",
            folder: [
                {
                    name: "introduction",
                    label: "1. Введение",
                    status: 'temp',
                    folder: [
                        {
                            name: 'what-is-odant.md',
                            label: '1.1. Что такое ODANT?',
                            status: 'temp'
                        },
                         {
                            name: 'tech-features-of-odant',
                            label: '1.2. Технологические особенности платформы ODANT',
                            status: 'temp',
                            folder: [
                            			{
                                            name: 'full-stack-technology',
                                            label: '1.2.1. Full-Stack-технология разработки информационных систем',
                                            status: 'temp',
                                            folder: [
                                            			{
                                        					name: 'built-in-dbms.md',
                                        					label: '1.2.1.1. Встроенная СУБД с визуальным конфигуратором',
                                            				status: 'temp'
                                    					},
                                    					{
                                        					name: 'case.md',
                                        					label: '1.2.1.2. CASE-средства разработки информационных систем',
                                            				status: 'temp'
                                    					},
                                    					{
                                        					name: 'built-in-visualization-tools.md',
                                        					label: '1.2.1.3. Встроенные средства визуализации',
                                            				status: 'temp'
                                    					},
                                            ]
                                        },
                                        {
                                            name: 'low-code',
                                            label: '1.2.2. Low-Code-стратегия разработки ИС',
                                            status: 'temp',
                                            folder: [
                                            			{
                                        					name: 'modelling-instead-of-programming.md',
                                        					label: '1.2.2.1. Моделирование вместо программирования',
                                            				status: 'temp'
                                    					},
                                    					{
                                        					name: 'component-approach.md',
                                        					label: '1.2.2.2. Компонентный подход к проектированию информационных систем',
                                            				status: 'temp'
                                    					},
                                    					{
                                        					name: 'automatically-generated-interfaces.md',
                                        					label: '1.2.2.3. Автоматическая генерация интерфейсов',
                                            				status: 'temp'
                                    					},
                                    					{
                                        					name: 'nosql-principle-for-queries.md',
                                        					label: '1.2.2.4. NoSQL-принцип формирования запросов',
                                            				status: 'temp'
                                    					},
                                            ]
                                        },                                        
                            ]
                        },
                        {
                            name: 'conceptual-approaches',
                            label: '1.3. Концептуальные подходы ODANT',
                            status: 'temp',
                            folder: [
                                        {
                                            name: 'hierarchy.md',
                                            label: '1.3.1. Иерархичность',
                                            status: 'temp'
                                        },
                                        {
                                            name: 'objectivity.md',
                                            label: '1.3.2. Объектность',
                                            status: 'temp'
                                        },
                                        {
                                            name: 'adaptivity.md',
                                            label: '1.3.3. Адаптивность',
                                            status: 'temp'
                                        },
                                        {
                                            name: 'net-centric.md',
                                            label: '1.3.4. Сетецентричность',
                                            status: 'temp'
                                        },
                            ]
                        },
                    ]
                },
                {
                    name: "basic-architecture-of-odant.md",
                    label: "2. Базовая архитектура ODANT",
                    status: 'temp'
                },
                {
                    name: "structural-elements",
                    label: "3. Структурные элементы платформы ODANT",
                    status: 'temp',
                    folder: [
                        {
                            name: 'host.md',
                            label: 'Сервер (Host)',
                            status: 'temp'
                        },
                        {
                            name: 'partition.md',
                            label: 'Системные разделы (Partition)',
                            status: 'temp'
                        },
                        {
                            name: 'base.md',
                            label: 'Базы Данных (Base)',
                            status: 'temp'
                        },
                        {
                            name: 'class.md',
                            label: 'Класс',
                            status: 'temp'
                        },
                        {
                            name: 'workplaces.md',
                            label: 'Рабочие места',
                            status: 'temp'
                        },
                        {
                            name: 'modules.md',
                            label: 'Модули',
                            status: 'temp'
                        },
                        {
                            name: 'objects.md',
                            label: 'Объекты',
                            status: 'temp'
                        },
                    ]
                },
                {
                    name: "odbml",
                    label: "4. Язык разметки ODBML",
                    status: 'temp',
                    folder: [
                        {
                            name: 'prerequisites.md',
                            label: 'Предпосылки возникновения языка ODBML',
                            status: 'temp'
                        },
                        {
                            name: 'class-description.md',
                            label: 'Описание класса на языке ODBML',
                            status: 'temp'
                        },
                        {
                            name: 'simple-fields.md',
                            label: 'Простые поля и способ их описания',
                            status: 'temp'
                        },
                        {
                            name: 'structural-fields.md',
                            label: 'Структурные поля класса',
                            status: 'temp'
                        },
                        {
                            name: 'object.md',
                            label: 'Понятие “объекта” и его представления',
                            status: 'temp'
                        },
                    ]
                },
                {
                    name: "case-apps",
                    label: "5. Создание структурных элементов с помощью CASE-средств",
                    status: 'temp',
                    folder: [
                        {
                            name: 'base-creation.md',
                            label: 'Создание базы данных',
                            status: 'temp'
                        },
                        {
                            name: 'class-creation.md',
                            label: 'Создание классов',
                            status: 'temp'
                        },
                        {
                            name: 'object-creation.md',
                            label: 'Создание объектов',
                            status: 'temp'
                        },
                        {
                            name: 'workplace-creation.md',
                            label: 'Организация рабочих мест',
                            status: 'temp'
                        },
                        {
                            name: 'module-installation.md',
                            label: 'Установка модулей',
                            status: 'temp'
                        },
                    ]
                },
                {
                    name: "server-architecture",
                    label: "6. Архитектура сервера ODANT",
                    status: 'temp',
                    folder: [
                        {
                            name: 'server-and-elements.md',
                            label: 'Взаимосвязь сервера с архитектурными элементами',
                            status: 'temp'
                        },
                        {
                            name: 'server-administration.md',
                            label: 'Администрирование сервера',
                            status: 'temp'
                        },
                        {
                            name: 'server-api.md',
                            label: 'API сервера',
                            status: 'temp'
                        },
                        {
                            name: 'inheritance-mechanism-realization.md',
                            label: 'Реализации механизма наследования',
                            status: 'temp'
                        },
                        {
                            name: 'expansion-of-capabilities.md',
                            label: 'Расширение возможностей',
                            status: 'temp'
                        },
                    ]
                },
                {
                    name: "web-client-architecture",
                    label: "7. Архитектура WEB-клиента",
                    status: 'temp',
                    folder: [
                        {
                            name: 'purpose-and-features.md',
                            label: 'Назначение, основные возможности',
                            status: 'temp'
                        },
                        {
                            name: 'graphic-interface.md',
                            label: 'Основные подходы к работе с графическим интерфейсом',
                            status: 'temp'
                        },
                        {
                            name: 'oda-action-architecture-and-types.md',
                            label: 'Архитектура и типы ODA-экшенов',
                            status: 'temp'
                        },
                        {
                            name: 'server-oda-actions.md',
                            label: 'Серверные ODA-экшены',
                            status: 'temp'
                        },
                        {
                            name: 'interaction-with-server.md',
                            label: 'Механизм взаимодействия с сервером ODANT',
                            status: 'temp'
                        },
                    ]
                },
                {
                    name: "oda-framework-architecture",
                    label: "8. Архитектура ODA-фреймворка",
                    status: 'temp',
                    folder: [
                        {
                            name: 'purpose-structure-and-features.md',
                            label: 'Назначение, структура и основные возможности',
                            status: 'temp'
                        },
                        {
                            name: 'technological-stack-of-framework.md',
                            label: 'Технологический стек фреймворка',
                            status: 'temp'
                        },
                        {
                            name: 'oda-component-architecture.md',
                            label: 'Понятие и архитектура ODA-компонентов',
                            status: 'temp'
                        },
                        {
                            name: 'library-of-standard-components.md',
                            label: 'Библиотека стандартных компонентов',
                            status: 'temp'
                        },
                        {
                            name: 'interaction-with-web-client.md',
                            label: 'Механизм взаимодействия с WEB-клиентом	',
                            status: 'temp'
                        },
                    ]
                },
                {
                    name: "odant-ecosystem",
                    label: "9. Экосистема ODANT",
                    status: 'temp',
                    folder: [
                        {
                            name: 'odant-ecosystem-map.md',
                            label: 'Карта экосистемы ODANT',
                            status: 'temp'
                        },
                        {
                            name: 'oda-market.md',
                            label: 'ODA MARKET',
                            status: 'temp'
                        },
                        {
                            name: 'paas.md',
                            label: 'PaaS',
                            status: 'temp'
                        },
                        {
                            name: 'ams.md',
                            label: 'AMS',
                            status: 'temp'
                        },
                        {
                            name: 'iot-iiot.md',
                            label: 'Iot / IIoT',
                            status: 'temp'
                        },
                    ]
                },
                {
                    name: "glossary.md",
                    label: "10. Глоссарий",
                    status: 'temp'
                },
            ]
        }
    ]
}