![иерархия](learn/introduction/images/3.JPG "Организационная структура")

Иерархические механизмы четко применимы в системах управления на разных слоях, будь то: слой организации процессов и операций, слой организации справочных систем, слой организации орг.структуры, слой организации филиальной системы — все строится иерархически.

```info
Основная идея ODANT — создать систему управления базами данных, максимально соответствующую задаче, т.е максимально приближенную к реальности по своей структуре.
```

Там где есть Информационная Система, всегда присутствует организация и участники, которые совершают какие-либо действия для получения результата. Чтобы работала организация должны производиться действия.

Очевидно, что организационная структура любой организации является иерархичной. Декомпозиция любой задачи на процессы показывает их иерархическую природу вплоть до разложения того или иного процесса на конечные элементарные действия (операции), например, доставка или резервирование товара. Промежуточные действия в этом случае будут являться процессами. Для процессов характерна цикличность, которая обуславливается отсутствием начала и конца, в отличие от конечных действий (операций), где начало и конец определяются четко.
Таким образом, мы получаем единую иерархическую структуру, которую удобно анализировать.
Структуры информационных систем бывают различными, если с небольшими системами справляется и табличная (реляционная) архитектура, то для больших систем самой оптимальной архитектурой хранения данных, является иерархическая сетевая архитектура.

Иерархическая структура наиболее легко и естественно воспринимается человеком, она более объективна в описании реальных процессов, в то время как табличная структура — не более чем плод субъективного мышления технического специалиста (программиста), которого в первую очередь интересует производительность системы, а не удобство восприятия. Таким образом, пользователь системы, который связан непосредственно с предметной областью, смотрит на эту созданную программистом структуру и не может сделать выводы о полноте этой системы, четко не видит где систему можно доработать, где есть несоответствия с реальным положением дел в организации, ведь структура таблиц явным образом никак не связана со структурой управления, с реальными процессами.
Информационные системы, построенные по иерархическому сетевому принципу обладают более высокой преемственностью, т.к любой даже новый специалист не принимавший участие в разработке системы, естественным образом понимает процессы, которые происходят в организации и может без труда перестраивать систему в дальнейшем и модифицировать ее. Тоже верно и для изменения процессов в организации: специалисты сразу понимают, что изменились именно процессы, а не программист поменял поля местами, потому что ему так удобнее их считать.

Структурой можно гибко управлять, делить организацию на подразделения и переносить туда ветви процессов. Можем переносить подразделения на разные сервера, чтобы оптимизировать нагрузку.
