Информационные системы, построенные на платформе ODANT, представляют собой единую сетецентрическую сеть.

Сетецентрическая архитектура ODANT представляет собой сеть систем управления, топологически схожей с топологией сети Интернет. Существенная разница лишь в том, что каждый элемент сети будет являться сервером для нижерасположенных элементов, поэтому обрыв связи позволяет сохранять работоспособность и автономность отрезанных участков сети.

![Сетецентрическая архитектура](learn/introduction/images/net-centric-web-1.JPG "Сетецентрическая архитектура")

Сверху-вниз по элементам сети передаются команды и стандарты (красные стрелки), а снизу-вверх поднимаются отчеты и данные (синие стрелки). Это является максимально точной имитацией работы реальных систем управления, следствием которой является высокая согласованность действий.

![Процессы в сетецентрической архитектуре](learn/introduction/images/net-centric-web-2.JPG "Процессы в сетецентрической архитектуре")

В ODANT реализованы следующие преимущества сетецентрического подхода к разработке информационных систем и объединению их в единую сеть:

1. Все системы, собранные на ODANT, становятся частью сети. 
1. Каждый элемент сети будет являться сервером для элементов на один уровень ниже по иерархии сети.
1. Работоспособность всех ветвей/участков сети будет сохраняться при обрыве связи.
1. Сверху-вниз передаются команды и стандарты.
1. Снизу-вверх поднимаются отчеты и данные.
1. Данный паритет позволяет добиться высокой согласованности действий всех участников сети.


```info
ODANT позволяет объединять информационные системы в сетецентрические сети, что, в рамках единого информационного пространства, обеспечивает высокую степень взаимодействия между участниками сети и качественно новый уровень управления процессами.
```