Компонентный подход к информационным моделям позволяет наиболее быстро создавать и максимально гибко обслуживать информационные системы любой сложности, используя инкапсулированные решения независимых разработчиков, что ведет к возможности конкурентной разработки частей систем, и как следствие более высокого качества и низкой стоимости создания и обслуживания приложений.

В конечном счете, количество готовых информационных компонентов перешагнет критическую массу (технологическая сингулярность), при которой разработка новых компонентов полностью прекратится, и создание систем сведется лишь к ассемблированию уже имеющихся моделей.

В терминах ODANT, компонентный подход — это использование функционально законченных информационных сущностей. Важно то, что здесь не имеются в виду библиотеки программного кода, и не сервисы в микросервисной архитектуре. Речь о компонентном подходе к информации. Компонент в ODANT — это класс (class). Или модуль, который по сути тоже является классом. Каждый класс — это уникальная информационная сущность с собственным глобальным идентификатором, по которому к нему можно обращаться. Класс ODANT содержит модель данных, методы манипуляции ими и визуальные представления. Объект класса хранит данные в соответствии с моделью.
